cimg (2.4.5.1-2+security) unstable; urgency=medium

  * remove -mtune paramter to support build mips and sw architecture.

 -- lishengyu <lishengyu@uniontech.com>  Thu, 05 Aug 2021 14:43:20 +0800

cimg (2.4.5.1-1+security) unstable; urgency=medium

  * fix CVE-2019-13568 CVE-2020-25693

 -- lishengyu <lishengyu@uniontech.com>  Thu, 10 Jun 2021 16:29:55 +0800

cimg (2.4.5+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Pdf documentation does not build in pbuilder thus drop it

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jan 2019 11:43:23 +0100

cimg (2.3.6+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Tue, 18 Sep 2018 16:52:07 +0200

cimg (1.7.9+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.0.0, no changes needed.
  * Mark cimg-doc and cimg-examples as Multi-Arch:foreign (from the m-a hinter).
  * Depend on libopencv-dev instead of libcv-dev, which is going away.
    Thanks to Steve Langasek for reporting and fixing it in Ubuntu.
    Closes: #865831

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 25 Jun 2017 12:45:10 +0200

cimg (1.7.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 19:45:02 +0100

cimg (1.7.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Adapt watch file to new tagging scheme
  * Move packaging from SVN to Git
  * cme fix dpkg-control
  * Use libgraphicsmagick++1-dev as main (Build-)Depends and leave
    libmagick++-dev only as alternative since examples are relying
    on graphicsmagick
  * update Build-Depends to libopencv-dev (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #841263
  * Fix build with Opencv 3.1 (Thanks for the patch to
    Nobuhiro Iwamatsu <iwamatsu@nigauri.org>)
    Closes: #841264
  * Versioned Build-Depends: doxygen >= 1.8.12
    Closes: #819606

 -- Andreas Tille <tille@debian.org>  Fri, 28 Oct 2016 14:41:43 +0200

cimg (1.6.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 18:23:26 +0100

cimg (1.6.4+dfsg-1) unstable; urgency=medium

  * adapted d/watch to new upstream location at Github
  * Remove non-free example file via Files-Excluded
    Closes: #791399
  * cme fix dpkg-control
  * Add needed Build-Depends from libcurl
  * Recreate docs with doxygen

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jul 2015 21:19:38 +0200

cimg (1.5.9+dfsg-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * d/rules: adapt uscan syntax
  * d/watch: enable uscan to use correct version
  * d/patches/use_pkg-config.patch: Newer imagemagick version does not supply
    Magick++-config command any more but pkg-config can be used instead
    (thanks for the hint to Bastien ROUCARIES)
    Closes: #761564
  * d/copyright: change sequence of Files paragraphs to fit DEP5

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 17:16:57 +0200

cimg (1.5.7+dfsg-1) unstable; urgency=low

  * debian/copyright: Exclude non-free image file
    Closes: #735342
  * debian/control:
     - cme fix dpkg-control
     - remove inactive Uploaders
     - Build-Depends: libtiffxx5
     - Suggests: libtiff5-dev, libtiffxx5
  * debian/cimg-doc.doc-base:  Readd PDF documentation
  * debian/watch: mangle Debian version
  * debian/patches/20_include_ltiffxx.patch: examples also need -ltiffxx
  * debian/rules: remove code violating user privacy

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jan 2014 14:03:50 +0100

cimg (1.5.6-1) unstable; urgency=low

  * New upstream version (adapted patches)
    debian/patches/30_fix-opencv-ftbfs.patch disabled because applied upstream
  * debian/patches/30_do_not_build_minc2_examples.patch: Examples will
    file when trying to use minc file format so exclude these from build
  * debian/control:
     - Standards-Version: 3.9.4 (no changes needed)
     - Fixed VCS fields
     - cme fix dpkg-control
     - Moved libcv-dev from Suggests to Depends
     - Build-Depends: libopencv-core-dev, libopencv-highgui-dev to enable
       compiling examples
  * debian/rules:
     - use xz compression for repackaging
     - build examples in dh_auto_test rather than dh_auto_install because
       it is actually only a test whether everything compiles nicely
     - Do not try to install upstream changelog which is not contained in
       upstream source any more

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jul 2013 00:15:19 +0200

cimg (1.4.9-2) unstable; urgency=low

  * debian/patches/30_fix-opencv-ftbfs.patch: Fix problem with opencv
    headers (thanks to Adrien Cunin <adri2000@ubuntu.com> for the patch)
    Closes: #652770
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debhelper 9 (control+compat)
  * no explicite mentioning of quilt (control+rules) which is unneeded
    for source format 3.0 quilt
  * debian/copyright:
    - Real e-mail address for contact
    - DEP5 formatted and verified using
        cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2012 06:28:27 +0100

cimg (1.4.9-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/cimg-doc.doc-base: temporarily exclude CImg_reference.pdf
    which is rewritten according to upstream

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jun 2011 14:12:51 +0200

cimg (1.4.8-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: deleted in favour of
     uscan --verbose --rename --repack --force-download
    in debian/rules
  * Debhelper 8 (control+compat)
  * Build-Depends: libminc-dev

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2011 08:02:36 +0100

cimg (1.4.7-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jan 2011 11:29:56 +0100

cimg (1.4.6-1) unstable; urgency=low

  * New upstream version
  * debian/patches/20_fix-missing-libX11-binutils-gold.patch
    fix FTBFS issue with binutils-gold because of missing libX11 when
    linking the examples version graph (thanks for the patch to
    Fabrice Coutadeur <fabricesp@ubuntu.com>)
    Closes: #603299
  * debian/control: Changed dependencies according to advise of upstream
    author
    - moved cimg-dev/Depends: libmagick++-dev, libfftw3-dev | fftw3-dev
      to cimg-dev/Suggests
    - added cimg-examples/Recommends: libmagick++-dev, libfftw3-dev | fftw3-dev
    - added cimg-dev/Suggests: libgimp2.0-dev, libcv-dev, libhighgui-dev
    - added cimg-examples/Recommends: libgimp2.0-dev, libcv-dev, libhighgui-dev
  * Added debian/README.source
  * Added debian/README.Debian.cimg-examples with explanation of upstream
    author regarding the usage of the Makefile target

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2010 15:33:17 +0100

cimg (1.4.4-1) unstable; urgency=low

  * New upstream version
  * Stabilized gzipped tarball's MD5 sum in ‘debian/get-orig-source’.
  * Make sure package builds with binutils-gold (Thanks for the patch
    provided by Fabrice Coutadeur <fabricesp@ubuntu.com>)
    Closes: #602166
  * debian/control
    - Build-Depends: libcv-dev, libhighgui-dev
    - Recommends: libcv-dev, libhighgui-dev
    - Depends: libmagick++-dev (instead of libmagick++9-dev)
  * debian/rules:
    - Make sure no object files from test build will make it into
      examples package
    - Do not compress .gmic file in examples

 -- Andreas Tille <tille@debian.org>  Thu, 04 Nov 2010 21:59:49 +0100

cimg (1.3.9-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jul 2010 12:02:19 +0200

cimg (1.3.8-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * Source format 3.0 (quilt)
  * Versioned Build-Depends on quilt
  * debian/rules: Make sure, example gaussian_fit1d.cpp will be able
    to find itself as include
  * debian/cimg-dev.install: install plugins into /usr/include

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jul 2010 13:33:13 +0200

cimg (1.3.3-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * debian/get-orig-source upstream does not provide tarballs any
    more and switched back to zip only habit
  * debian/patches/10_examples.patch became useless

 -- Andreas Tille <tille@debian.org>  Thu, 11 Mar 2010 17:18:31 +0100

cimg (1.3.2-2) unstable; urgency=low

  * debian/watch: Re-enable zip download files.
  * Fix formating of long description
    Closes: #554465

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2009 22:16:41 +0100

cimg (1.3.2-1) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * New upstream release 1.3.2 (closes: #399846, #497672).

  * debian/control (XS-Vcs): Removed obsolete XS-prefix. Fixed Vcs-Svn to work
    with debcheckout.
    (Depends,Build-Depends-Indep): fftw3-dev -> libfftw3-dev transition
    (closes: #460024).
    (Description): Fixed typo (closes: #363199). Thanks to Simon Waters for the
    report.
  * debian/copyright: Updated.
  * debian/watch: Added.

  [ Andreas Tille ]
  * debian/control:
    - Took over package into Debian Science Team maintenance with permission
      of Maintainer:
        On Mon, Oct 12, 2009 at 09:07:32AM +0200, Christophe Prud'homme wrote:
        > ...
        > I am definitely fine with cimg-dev moving to Debian science.
    - Standards-Version: 3.8.3 (no changes needed)
    - Added Homepage field
    - took over Suggests from upstreams Debian packaging
    - Build-Depends: libgimp2.0-dev, quilt
  * debian/get-orig-source to repack zip to orig.tar.gz
  * Added html docs and examples to the package
  * debian/doc-base
  * debian/patches: Added a patch by upstream to enable building
    examples
  * Split into three packages: cimg-dev, cimg-doc, cimg-examples
  * Debhelper 7, short debian/rules file using dh

 -- Andreas Tille <tille@debian.org>  Fri, 09 Oct 2009 14:07:50 +0200

cimg (1.2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix from Peter Green to prevent FTBFS with incorrect
    'long long' declaration. (Closes: #527694)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Sep 2009 09:17:05 -0500

cimg (1.2.0.1-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: add myself as uploader
  * Bug fix: "FTBFS: ../CImg.h:226:35: error: X11/extensions/Xrandr.h: No
    such file or directory", thanks to Jérémy Bobbio (Closes: #422068).
  * Bug fix: "cimg-dev: forgotten dependency on xorg-dev", thanks to
    Olivier Schwander (Closes: #386260).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 14 Jul 2007 19:16:17 +0200

cimg (1.2.0.1-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/100_system_detection.diff:
    + Patch merged upstream, removing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 20 Apr 2007 20:30:39 +0200

cimg (1.0.9-3) unstable; urgency=low

  * Use quilt for patch management.
  * debian/control:
    + Set maintainer to the pkg-scicomp team.
    + Set policy to 3.7.2.
    + Added Vcs fields.
  * debian/rules:
    + Removed the useless configure rule.

  * debian/patches/100_system_detection.diff:
    + New patch from old diff.gz. Check for "__linux__" instead of "linux".

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 01 Apr 2007 15:25:35 +0200

cimg (1.0.9-2) unstable; urgency=low

  * CImg.h:
    + Check for macro "__linux__" instead of "linux" (Closes: #319217).
  * debian/rules:
    + Clean up the examples directory after the build; we don't want them
      installed.
    + Fix permissions in examples/img/*.
    + Fixed a timestamp bug that caused examples to be built twice.
  * debian/copyright:
    + Copied the full license text in there.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 15:23:36 +0100

cimg (1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #303413).
  * debian/control:
    + Set policy to 3.6.2.1.
  * debian/copyright:
    + Reflected license change to CeCILL (which allows redistribution under
      the GPL).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 12 Jul 2005 22:17:19 +0300

cimg (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * CImg.h:
    + Imported a patch from CVS for broken matrix multiplications.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 19 Nov 2004 11:26:29 +0100

cimg (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 28 Sep 2004 11:51:57 +0200

cimg (1.0.5-2) unstable; urgency=low

  * Build-depend on libx11-dev (Closes: #264822).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Aug 2004 17:34:58 +0200

cimg (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 28 Jul 2004 15:27:12 +0200

